%define _CMAKE_INSTALL_PREFIX \\/usr
%define _POSTSRSD postsrsd
%define _PROJECT_NAME postsrsd
%define _CHROOT_DIR \\/var\\/lib\\/postsrsd
%define _CONFIG_DIR \\/etc\\/sysconfig

Summary:        PostSRSd provides the Sender Rewriting Scheme (SRS) via TCP-based lookup tables for Postfix.
Name:		postsrsd
Version:        1.0.1
Release:        1%{?dist}
License:        GPLV2+
Packager :      Django <django@nausch.org>
Distribution:   CentOS 7
Group:		System Environment/Daemons
URL:		https://github.com/roehling/%{name}/archive/%{version}.tar.gz
Source0:	%{name}-%{version}.tar.bz2
Source1:	postsrsd.service
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}

BuildRequires:	cmake make gcc
Requires:	postfix

# Patch für ordendliches Startup-Init.d-Script
#Patch0:		postsrsd-1.0.1-init_script.patch

%description
PostSRSd provides the Sender Rewriting Scheme (SRS) via TCP-based 
lookup tables for Postfix. SRS is needed if your mail server acts 
as forwarder.

%prep
%setup -q -n %{name}-%{version}

#%patch0 -p1

%build
make %{?_smp_mflags}


%install
%{__cat} postsrsd.rh_init.in | %{__sed} -e "s/@CMAKE_INSTALL_PREFIX@/%{_CMAKE_INSTALL_PREFIX}/g" \
	| %{__sed} -e "s/@POSTSRSD@/%{_POSTSRSD}/g" | %{__sed} -e "s/@PROJECT_NAME@/%{_PROJECT_NAME}/g" \
	| %{__sed} -e "s/@CHROOT_DIR@/%{_CHROOT_DIR}/g" \
	| %{__sed} -e "s/@CONFIG_DIR@/%{_CONFIG_DIR}/g" > postsrsd.rh_init.proc
#%{__mkdir_p} %{buildroot}%{_initrddir}
#%{__install} -m 0755 postsrsd.rh_init.proc %{buildroot}%{_initrddir}/%{name}
%{__mkdir_p} %{buildroot}%{_sysconfdir}/sysconfig
%{__install} -m 0644 postsrsd.default %{buildroot}%{_sysconfdir}/sysconfig/%{name}
%{__mkdir_p} %{buildroot}%{_sbindir}
%{__install} -m 0755 build/postsrsd %{buildroot}%{_sbindir}/%{name}
%{__mkdir_p} %{buildroot}%{_var}/lib/%{name}
install -m 755 -d %{buildroot}/usr/lib/systemd/system/
install -m 755 %{SOURCE1} %{buildroot}/usr/lib/systemd/system/postsrsd.service

%clean
%{__rm} -rf %{buildroot}


%files
%defattr(-,root,root,-)
%doc README.md main.cf.ex
#%{_initrddir}/%{name}
%{_sbindir}/%{name}
%config %{_sysconfdir}/sysconfig/%{name}
%dir %{_var}/lib/%{name}
%attr(700, nobody, nobody) %{_var}/lib/%{name}
%attr(0644, root, root) /usr/lib/systemd/system/postsrsd.service

%pre
if [ ! -f "%{_sysconfdir}/postsrsd.secret" ]; then
	dd if=/dev/urandom bs=18 count=1 status=noxfer 2> /dev/null | base64 > %{_sysconfdir}/postsrsd.secret
	%{__chmod} 0600 %{_sysconfdir}/postsrsd.secret
fi


%post 
chkconfig --add %{name}
chkconfig %{name} on


%postun
if [ -f "%{_sysconfdir}/postsrsd.secret" ]; then 
	rm -f "%{_sysconfdir}/postsrsd.secret"
fi


%changelog

* Wed Dec 3 2014 Django <django@nausch.org> 1.0.1-1
- initial release for CentOS 7
